For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get a URL to download invoices for an entity as a CSV/JSON file.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
entityIdstringRequired
Entity ID or Entity ForeignID
Query parameters
formatenumOptional
Format of the file to download. Defaults to CSV.
Allowed values:
excludePayablesbooleanOptional
Return only invoices that are receivable by the entity.
excludeReceivablesbooleanOptional
Return only invoices that are payable by the entity.
startDatedatetimeOptional
Start date filter. Defaults to CREATED_AT unless specified the dateType is specified
endDatedatetimeOptional
End date filter. Defaults to CREATED_AT unless specified the dateType is specified
dateTypeenumOptional
Type of date to filter by if startDate and endDate filters are provided. Defaults to CREATED_AT.
orderByenumOptional
Field to order invoices by. Defaults to CREATED_AT.
orderDirectionenumOptional
Direction to order invoices by. Defaults to asc.
Allowed values:
searchstringOptional
Find invoices by vendor name, invoice number, check number, or amount. Partial matches are supported.
metadataobjectOptional
Filter invoices by metadata. Each filter will be applied as an AND condition. Duplicate keys will be ignored.
lineItemMetadataobjectOptional
Filter invoices by line item metadata. Each filter will be applied as an AND condition. Duplicate keys will be ignored.
lineItemGlAccountIdstringOptional
Filter invoices by line item GL account ID. Each filter will be applied as an OR condition. Duplicate keys will be ignored.
payerIdstringOptional
Filter invoices by payer ID or payer foreign ID.
vendorIdstringOptional
Filter invoices by vendor ID or vendor foreign ID.
creatorUserIdstringOptional
Filter invoices by the ID or foreign ID of the user that created the invoice.
approverIdstringOptional
Filter invoices by assigned approver user ID.
approverActionenumOptional
Filter invoices by approver action. Needs to be used with approverId. For example, if you want to find all invoices that have been approved by a specific user, you would use approverId and approverAction=APPROVE.
Allowed values:
invoiceIdstringOptional
Filter invoices by invoice ID or invoice foreign ID.